$("#number_reserva").val(1)
$(".div_nucleo").fadeOut();

var ocupacion_global = '';


    /*detección de cambio de fecha select turnos*/
  $('#date_reserva').on('change',function(){    

    $("#btn_send_hpds").removeClass("btn btn-success");
    $("#btn_send_hpds").addClass("btn btn-default");
    $('#btn_send_hpds').attr("disabled", true);
    $("#select_turno option").remove();
     var select_turno = $('#select_turno');select_turno.val($('option:first', select_turno).val());

      $("#select_turno option").remove();

      var data_area = $("#select_area").val();
      var data_fecha = $("#date_reserva").val();
      var modalidad_reserva_send = $("#modalidad_reserva_send").val();
      var consecucion_reserva_send = $("#consecucion_reserva_send").val();
      var data_apto = $("#apto_from").val();
      
    

      $.ajax({
        type: "POST",
        url: "select_turnos.php",
        data: {
          data_apto:data_apto,
          data_area:data_area,
          data_fecha:data_fecha,
          data_modalidad_reserva_send: modalidad_reserva_send,
          data_consecucion_reserva_send: consecucion_reserva_send,
          ocupacion_global:ocupacion_global
        }
      })
      .done(function(data, status){
                  
            var result_data      = JSON.parse(data);
            // console.log(result_data['array_turnos']);

             $('#select_turno').append('<option value=""> -Seleccione horario disponible- </option>');

              var index = 1;
              for (i = 0; i < result_data['array_turnos'].length; i++) {
              var loop = index++;

                
                console.log(result_data['array_turnos'][i][3]['out_time'])

                  if(result_data['array_turnos'][i][3]['out_time'] == "fh"){

                  }else{

                  if(result_data['array_turnos'][i][2]['action'] == "dis"){
                    }else{
                       if(result_data['array_turnos'][i][4]['reservado'] == "tr"){
                    }else{
                        $('#select_turno').append('<option '+result_data['array_turnos'][i][2]['action']+' value="'+result_data['array_turnos'][i][1]['id']+'" >'+result_data['array_turnos'][i][0]['descripcion']+''+result_data['array_turnos'][i][5]['disponible']+'</option>');  
                      }
                    }
                  }
              
              }
          })      
      .fail(function() {
       console.log("fail load zonas");
       });

  });



function booked_modal(apto, conse_sistema, tipocu){
    
    ocupacion_global = tipocu;
    
    console.log(apto +" : "+ conse_sistema)

    $("#modal_reservation").modal('show'); 
    
    $("#apto_from").val(apto);
    
    
    /*reset valores, si exiten*/
    $("#select_area option").remove();
    $(".div_nucleo").fadeOut();
    
    
    $('#select_area').append("<option value='0'> -Seleccione área - <option>")

    $("#btn_send_hpds").removeClass("btn btn-default");
    $("#btn_send_hpds").removeClass("btn btn-success");
    $("#btn_send_hpds").addClass("btn btn-default");
    $('#btn_send_hpds').attr("disabled", true);

    $("#select_turno option").remove();
    
    
    // Cargando áreas
    $.ajax({
          type: "POST",
          url: "select_area_all.php",
          data: { 
              id_rel_area: 0,
              tipocu: tipocu
          }
        })
      .done(function(data){
        //$('#info').fadeOut().html(data);
        // $('#select_area').hide();
        $('#select_area').append(1000).html(data);
        // console.log(data);
        })
    
}



$(".check_huesped").click(function(){ 

      var identificador_input = this.id;

        if ($(this).is(":checked")) {

            // alert(identificador_input)

          $("#"+identificador_input+"name_huesped").attr("disabled", false);
          $("#"+identificador_input+"ide_nucleo").attr("disabled", false);
          $("#"+identificador_input+"ide_consecutivo").attr("disabled", false);

           
 
            console.log('1');
              var num1 = parseInt(1);
              var num2 = parseInt($("#number_reserva").val());
              var resultado=num1+num2;

              // console.log('total hpds'+resultado);
              // console.log("valor de number_reserva: " + $("#number_reserva").val(resultado));



                $("#select_turno option").remove();

                var data_area = $("#select_area").val();
                var data_fecha = $("#date_reserva").val();
                var modalidad_reserva_send = $("#modalidad_reserva_send").val();
                var consecucion_reserva_send = $("#consecucion_reserva_send").val();
                var data_apto = $("#apto_from").val();
                
                // alert(ocupacion_global);

                $.ajax({
                  type: "POST",
                  url: "select_turnos.php",
                  data: {
                    data_apto:data_apto,
                    data_area:data_area,
                    data_fecha:data_fecha,
                    data_modalidad_reserva_send: modalidad_reserva_send,
                    data_consecucion_reserva_send: consecucion_reserva_send,
                    ocupacion_global:ocupacion_global
                  }
                })
                .done(function(data, status){
                  
                  var result_data      = JSON.parse(data);
                  // console.log(result_data['array_turnos']);

                   $('#select_turno').append('<option value=""> -Seleccione horario disponible- </option>');

                    var index = 1;
                    for (i = 0; i < result_data['array_turnos'].length; i++) {
                    var loop = index++;

                      
                      console.log(result_data['array_turnos'][i][3]['out_time'])

                        if(result_data['array_turnos'][i][3]['out_time'] == "fh"){

                        }else{

                        if(result_data['array_turnos'][i][2]['action'] == "dis"){
                          }else{
                             if(result_data['array_turnos'][i][4]['reservado'] == "tr"){
                          }else{
                              $('#select_turno').append('<option '+result_data['array_turnos'][i][2]['action']+' value="'+result_data['array_turnos'][i][1]['id']+'" >'+result_data['array_turnos'][i][0]['descripcion']+''+result_data['array_turnos'][i][5]['disponible']+'</option>');  
                            }
                          }
                        }
                    
                    }
                })      
              .fail(function() {
               console.log("fail load zonas");
               });
     

            $("#btn_send_hpds").removeClass("btn btn-default");
            $("#btn_send_hpds").removeClass("btn btn-success");
            $("#btn_send_hpds").addClass("btn btn-default");
            $('#btn_send_hpds').attr("disabled", true);
          
        }
        else if ($(this).is(":not(:checked)")) {



          $("#"+identificador_input+"name_huesped").attr("disabled", true);
          $("#"+identificador_input+"ide_nucleo").attr("disabled", true);
          $("#"+identificador_input+"ide_consecutivo").attr("disabled", true);


            console.log('0');

              var num2 = parseInt($("#number_reserva").val());
              var num1 = parseInt(1);
              var resultado=num2-num1;


                $("#select_turno option").remove();

                var data_area = $("#select_area").val();
                var data_fecha = $("#date_reserva").val();
                var modalidad_reserva_send = $("#modalidad_reserva_send").val();
                var consecucion_reserva_send = $("#consecucion_reserva_send").val();
                var data_apto = $("#apto_from").val();
                
                // alert(ocupacion_global);

                $.ajax({
                  type: "POST",
                  url: "select_turnos.php",
                  data: {
                    data_apto:data_apto,
                    data_area:data_area,
                    data_fecha:data_fecha,
                    data_modalidad_reserva_send: modalidad_reserva_send,
                    data_consecucion_reserva_send: consecucion_reserva_send,
                    ocupacion_global: ocupacion_global
                  }
                })
                .done(function(data, status){
                  
                  var result_data      = JSON.parse(data);
                  // console.log(result_data['array_turnos']);

                   $('#select_turno').append('<option value=""> -Seleccione horario disponible- </option>');

                    var index = 1;
                    for (i = 0; i < result_data['array_turnos'].length; i++) {
                    var loop = index++;

                      
                      console.log(result_data['array_turnos'][i][3]['out_time'])

                        if(result_data['array_turnos'][i][3]['out_time'] == "fh"){

                        }else{

                        if(result_data['array_turnos'][i][2]['action'] == "dis"){
                          }else{
                             if(result_data['array_turnos'][i][4]['reservado'] == "tr"){
                          }else{
                              $('#select_turno').append('<option '+result_data['array_turnos'][i][2]['action']+' value="'+result_data['array_turnos'][i][1]['id']+'" >'+result_data['array_turnos'][i][0]['descripcion']+''+result_data['array_turnos'][i][5]['disponible']+'</option>');  
                            }
                          }
                        }
                    
                    }
                })      
              .fail(function() {
               console.log("fail load zonas");
               });
     

            $("#btn_send_hpds").removeClass("btn btn-default");
            $("#btn_send_hpds").removeClass("btn btn-success");
            $("#btn_send_hpds").addClass("btn btn-default");
            $('#btn_send_hpds').attr("disabled", true);

              
              // console.log('total hpds'+resultado);
        }

            $("#number_reserva").val(resultado);

        });





$(document).ready(function(){ 
    $('#select_area').change(function(){
     
    //  alert($(this).val())
    
    var id_del_aa = $(this).val();
    
    if($(this).val() == ''){
        $(".div_nucleo").fadeOut();
         $("#select_turno option").remove();
         
            $("#btn_send_hpds").removeClass("btn btn-default");
            $("#btn_send_hpds").removeClass("btn btn-success");
            $("#btn_send_hpds").addClass("btn btn-default");
            $('#btn_send_hpds').attr("disabled", true);
            
    }else{
    
        
             $.ajax({
                      type: "POST",
                      url: "select_area_modalidad.php",
                      data: { 
                      id: $(this).val()
                      }
                    })
              .done(function(data){
                    console.log(data);
                    
                    var ope_data = JSON.parse(data);
        			console.log(ope_data.modalidad_reserva);
        			console.log(ope_data.id_area_matriz);
        			
        			console.log("just here1");
        			
        			$("#modalidad_reserva_send").val(ope_data.modalidad_reserva);
        			$("#consecucion_reserva_send").val(ope_data.id_area_matriz);
        			
        			
        			    // modalidad reserva por apartamento
                        if (ope_data.modalidad_reserva == 1) { 
                    
                          $(".div_nucleo").fadeOut();
                    
                          // modalidad de reserva por aforo
                        }else{
                          $(".div_nucleo").fadeIn();
                        }
         
        			
        			
        			    /*buscando turnos*/
                        var data_area = id_del_aa;
                        var data_fecha = $("#date_reserva").val();
                        var modalidad_reserva_send = ope_data.modalidad_reserva;
                        var consecucion_reserva_send = ope_data.id_area_matriz;
                        var data_apto = $("#apto_from").val();
                           
                          console.log("just here");
                          
                           $("#select_turno option").remove();
                           
                        //   alert(ocupacion_global);
                    
                          $.ajax({
                            type: "POST",
                            url: "select_turnos.php",
                            data: {
                              data_apto:data_apto,
                              data_area:data_area,
                              data_fecha:data_fecha,
                              data_modalidad_reserva_send: modalidad_reserva_send,
                              data_consecucion_reserva_send: consecucion_reserva_send,
                              ocupacion_global: ocupacion_global
                            }
                          })
                          .done(function(datax, status){
                              
                            //   alert(modalidad_reserva_send)
                            //   alert(modalidad_reserva_send)
                                      
                                var result_data      = JSON.parse(datax);
                                console.log(result_data['array_turnos']);
                    
                                 $('#select_turno').append('<option value=""> -Seleccione horario disponible- </option>');
                    
                                  var index = 1;
                                  for (i = 0; i < result_data['array_turnos'].length; i++) {
                                  var loop = index++;
                    
                                    
                                    console.log(result_data['array_turnos'][i][3]['out_time'])
                    
                                      if(result_data['array_turnos'][i][3]['out_time'] == "fh"){
                    
                                      }else{
                    
                                      if(result_data['array_turnos'][i][2]['action'] == "dis"){
                                        }else{
                                          if(result_data['array_turnos'][i][4]['reservado'] == "tr"){
                                        }else{
                                            $('#select_turno').append('<option '+result_data['array_turnos'][i][2]['action']+' value="'+result_data['array_turnos'][i][1]['id']+'" >'+result_data['array_turnos'][i][0]['descripcion']+''+result_data['array_turnos'][i][5]['disponible']+'</option>');  
                                          }
                                        }
                                      }
                                  
                                  }
                              })      
                          .fail(function() {
                          console.log("fail load zonas");
                          });
        			
        		 
                })
            }
        
    })
})


/*selección de turnos*/
$('select#select_turno').change(function(){

      // alert($(this).val())
      

      if($(this).val() == 0){
        $('#btn_send_hpds').attr("disabled", true);
            $("#btn_send_hpds").removeClass("btn btn-success");
            $("#btn_send_hpds").addClass("btn btn-default");
          }else{

      var checks = $(".check_huesped:checked").length;

        console.log(checks); 

          if (checks == 0) {
            $('#btn_send_hpds').attr("disabled", true);
            $("#btn_send_hpds").removeClass("btn btn-success");
            $("#btn_send_hpds").addClass("btn btn-default");
          } else {        
            $('#btn_send_hpds').attr("disabled", false);
            $("#btn_send_hpds").removeClass("btn btn-default");
            $("#btn_send_hpds").addClass("btn btn-success");
          }

        }
      });


/*envio de data formulario*/
$("#form_hpds").submit(function(event) {
    $("#btn_send_hpds").attr("disabled", true);
    
    var frm     = $(this);
    var formulario  = $(this).serialize();
  
  
    $.post( "reservation_turno.php", formulario)
    .done(function alerta(data){
       var result_data      = JSON.parse(data);

       switch (result_data.result) {
      case "100":   
          alertify.notify(result_data.msg,'error',3, null);  
          break;
      case "101":    
          alertify.alert('Ya tiene una reserva!', result_data.msg+"<br> "+result_data.inside, function(){}); 
          break;
      case "102":        
          alertify.notify(result_data.msg,'error',3, null); 
          break;
      case "103":      
          /*success*/  
            $("#btn_send_hpds").removeClass("btn btn-success");
            $("#btn_send_hpds").addClass("btn btn-default");
            $('#btn_send_hpds').attr("disabled", true);
             $("#select_turno option").remove();


             /*reiniciando datos de ventana modal*/
              $("#btn_send_hpds").removeClass("btn btn-success");
              $("#btn_send_hpds").addClass("btn btn-default");
              $('#btn_send_hpds').attr("disabled", true);
              $("#select_turno option").remove();
               var select_turno = $('#select_turno');select_turno.val($('option:first', select_turno).val());


                $("#select_turno option").remove();

                var data_area = $("#select_area").val();
                var data_fecha = $("#date_reserva").val();
                var modalidad_reserva_send = $("#modalidad_reserva_send").val();
                var consecucion_reserva_send = $("#consecucion_reserva_send").val();
                var data_apto = $("#apto_from").val();
                
                // alert(ocupacion_global);

                $.ajax({
                  type: "POST",
                  url: "select_turnos.php",
                  data: {
                    data_apto:data_apto,
                    data_area:data_area,
                    data_fecha:data_fecha,
                    data_modalidad_reserva_send: modalidad_reserva_send,
                    data_consecucion_reserva_send: consecucion_reserva_send,
                    ocupacion_global: ocupacion_global
                  }
                })
                .done(function(data, status){
              
              var result_data      = JSON.parse(data);
              // console.log(result_data['array_turnos']);

               $('#select_turno').append('<option value=""> -Seleccione horario disponible- </option>');

                var index = 1;
                for (i = 0; i < result_data['array_turnos'].length; i++) {
                var loop = index++;

                  
                  console.log(result_data['array_turnos'][i][3]['out_time'])

                    if(result_data['array_turnos'][i][3]['out_time'] == "fh"){

                    }else{

                    if(result_data['array_turnos'][i][2]['action'] == "dis"){
                      }else{
                         if(result_data['array_turnos'][i][4]['reservado'] == "tr"){
                      }else{
                          $('#select_turno').append('<option '+result_data['array_turnos'][i][2]['action']+' value="'+result_data['array_turnos'][i][1]['id']+'" >'+result_data['array_turnos'][i][0]['descripcion']+''+result_data['array_turnos'][i][5]['disponible']+'</option>');  
                        }
                      }
                    }
                
                }
            })      
                .fail(function() {
                 console.log("fail load zonas");
                 });


            $("#modal_reservation").modal('hide');
            
            alertify.notify(result_data.msg,'success',3, null); 
            
            location.reload()
            
          break;
      case "104":      
            alertify.alert('Información de Reserva!', result_data.msg, function(){}); 
          break;
      case "105": 
        alertify.alert('Información de Reserva!', result_data.msg, function(){});      
          break;
      default:  
          alertify.alert('Información de Reserva!', 'Error al realizar reserva por favor contactar a soporte técnico, Error de conexión', function(){}); 
      }
        
        console.log(data);

      })//done
  .fail(function() {
    $('#btn_send_hpds').attr("disabled", false);
    alert( "Error al cargar Información");
  }); 
  event.preventDefault();
  });
 

